Arch: Axis

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch Axis and the translation is 47% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский • ‎svenska • ‎Türkçe • ‎українська
Arrow-left.svg Previous: Arch CompAxis.png Arch CompAxis

Arch Axis.svg Arch Axis

poziția meniului
Arch → Axis
Workbenches
Arch
scurtătură
A X
Prezentat în versiune
-
A se vedea, de asemenea,
Axis System, Grid


Descriere

Instrumentul Axis vă permite să plasați o serie de axe în documentul curent. Distanța și unghiul dintre axe sunt personalizabile, precum și stilul de numerotare. Axa servește în principal ca trimiteri la obiecte de tip ancoră (snap), dar poate fi folosită și împreună cu Axes Systems, și poate fi conectat de alte obiecte Arch pentru a crea rețele parametrice, de exemplu grinzi sau coloane Grids can also be used in places of axes.

Arch Axis example.jpg

"Imaginea de mai jos arată două obiecte diferite poziționate perpendicular una pe cealaltă"

Cum se folosește

  1. apăsați tasta Arch Axis.png Arch Axis, sau A then X keys
  2. Move/rotate axele sistemului în poziția dorită
  3. Intrați în modul de editare făcând dublu clic pe sistemul de axe din vizualizarea arborescentă pentru a regla setările sale, cum ar fi numărul de axe, distanțele și unghiurile dintre axe.

Opţiuni

  • Fiecare axă din serie are distanța și unghiul propriu față de axa anterioară. Aceasta permite realizarea unor sisteme foarte complexe, cum ar fi sistemele non-ortogonale, sistemele polar sau orice alt sistem neuniform
  • Dublu clic pe axă în arborele vederilor permite editarea distanțelor, unghiurilor și etichetei fiecărei axe
  • Lungimile axelor, dimensiunea bulelor și stilurile de numerotare sunt personalizabile direct prin proprietățile sistemului de axe
  • Fiecare axă poate afișa, de asemenea, o etichetă, editabilă și prin dialogul panoului de activități

Proprietăți

  • DATALength: Lungimea axelor
  • VIEWBubble Size: Mărimea bulei axei
  • VIEWNumeration style: cum sunt numerotate axele: 1,2,3, A,B,C, etc...
  • VIEWBubble Position: Unde este plasată bula pe axă: La început, la capăt, ambele sau niciuna.
  • VIEWFont Name: Fontul folosit pentru a desena numprul bulei și/sau etichetei
  • VIEWFont Size: Mărimea etichetei text (Textul bulei este controlat de mărimea bulei)
  • VIEWShow Labels: Activează/dezactivează afișarea textului etichetei

Script

Instrumentul Axis poate fi utilizat în macros și de la consola python utilizând umătoarea funcție:

Axes = makeAxis(num=5, size=1000, name="Axes")
makes an axes series bazat pe numărul dat de axe și de intervalul dintre ele

Exempluː

import Draft, Arch

Axes = Arch.makeAxis(5, 1000)

Axes.ViewObject.LineWidth = 3
Axes.ViewObject.BubbleSize = 200
Axes.ViewObject.FontSize = 150

Axes2 = Arch.makeAxis(6, 500)

Axes2.ViewObject.LineWidth = 2
Axes2.ViewObject.BubbleSize = 200
Axes2.ViewObject.FontSize = 150
Axes2.ViewObject.NumberingStyle = "A,B,C"
FreeCAD.ActiveDocument.recompute()

Axes2.Length = 6000
Draft.rotate(Axes2, -90)
Draft.move(Axes2, FreeCAD.Vector(-1000, 2500, 0))
FreeCAD.ActiveDocument.recompute()